Bug 32108 - rhn_register reports a Fault when trying to send hardware information
Summary: rhn_register reports a Fault when trying to send hardware information
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
(Show other bugs)
Version: RHN Stable
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-18 02:16 UTC by David Lamm
Modified: 2015-01-07 23:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-24 18:36:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
I decided to provide the entire hwconf file. Hope this helps. (3.05 KB, text/plain)
2001-03-19 21:06 UTC, David Lamm
no flags Details

Description David Lamm 2001-03-18 02:16:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-0.1.25 i586)


After updating to "up2date-2.4.1-1" I was told I would have to register my
system to continue using "up2date".   In the process of using
"rhn_register", the program reported a Fault and allowed me to shutdown the
program.  The hardware and software information was not updated on Redhat's
site.  I will include the text from the console.

Reproducible: Always
Steps to Reproduce:
1.Run rhn_register 
2.
3.
	

This is the message reported to the console.

<Fault 1: '\012While running \'registration.add_hw_profile\':
caught\012exceptions.KeyError : Don\'t know how to parse key `active\' from
dict `{\'desc\': \'"Creative SB AWE64  PnP Game"\', \'class\': \'UNSPEC\',
\'detached\': \'0\', \'active\': \'0\', \'cardnum\': \'0\', \'deviceid\':
\'CTL7002\', \'native\': \'1\', \'driver\': \'ns558\', \'bus\': \'ISAPNP\',
\'logdev\': \'1\', \'pdeviceid\': \'CTL00e4\', \'compat\':
\'PNPb02f\'}\'\012'>

Comment 1 Preston Brown 2001-03-19 15:08:05 UTC
Cristian:

Some PCI/ISAPNP devices have multiple line entries in hwconf.  I don't know if 
kudzu knows how to handle this or not, but our hardware.pl doesn't.

Couple of things:

1. you should catch this server side and simply skip over that entry, not 
report a fatal exception.
2. we should improve hardware.pl.
3. Bill should take a look into this and make sure that bad data is not 
getting written by kudzu to /etc/sysconfig/hwconfig.


Comment 2 Preston Brown 2001-03-19 15:09:08 UTC
Can you please cut/paste the Sound Blaster section of /etc/sysconfig/hwconfig 
here for us to look at?


Comment 3 Preston Brown 2001-03-19 15:09:29 UTC
sorry, that is /etc/sysconfig/hwconf.


Comment 4 Bill Nottingham 2001-03-19 15:43:11 UTC
They do?  Nothing, afaik, should have multiple lines.

Comment 5 David Lamm 2001-03-19 21:06:21 UTC
Created attachment 13064 [details]
I decided to provide the entire hwconf file.  Hope this helps.

Comment 6 Bill Nottingham 2001-03-19 21:09:15 UTC
OK, there's nothing in there that's bogus.

Comment 7 Cristian Gafton 2001-03-20 01:31:17 UTC
I have a fix for this on the hardware parsing for registration. Will deploy new
code on the servers "soon" (translate: we're in QA with it)

Comment 8 Cristian Gafton 2001-03-24 18:36:29 UTC
This should now be fixed in the live environment. Jay, please check & close if
you agree.

Comment 9 Jay Turner 2001-04-04 17:59:24 UTC
This is indeed fixed on the live site.  Just ran rhn_register through with the
hwconf from above and things worked great.


Note You need to log in before you can comment on or make changes to this bug.